%define		status		stable
%define		pearname	Log
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - PHP PEAR logging utilities
Summary(pl.UTF-8):	%{pearname} - klasa z narzędziami logującymi
Name:		php-pear-%{pearname}
Version:	1.13.1
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	9c554c08a4306199e9d7f3988fbca341
URL:		http://pear.php.net/package/Log/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php(core) >= 5.0.0
Requires:	php-pear
Suggests:	php(sqlite)
Suggests:	php-pear-DB
Suggests:	php-pear-MDB2
Suggests:	php-pear-Mail
Obsoletes:	php-pear-Log-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear DB.* MDB2.* Mail.*

%description
The Log framework provides an abstracted logging system. It supports
logging to console, file, syslog, SQL, mail and mcal targets. It also
provides a subject - observer mechanism.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa Log daje abstrakcyjny system logowania. Obsługuje logowanie do
pliku, na konsolę, do sysloga, bazy SQL, pocztą oraz celów mcal.
Dostarcza także mechanizm subject - observer.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv docs/Log/examples .
mv docs/Log/docs/* .
mv .%{php_pear_dir}/data/Log/misc/log.sql .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%post -p <lua>
%pear_package_print_optionalpackages

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc guide.txt log.sql
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{pearname}
%{php_pear_dir}/Log.php
%{php_pear_dir}/Log/*.php
%{_examplesdir}/%{name}-%{version}
%changelog
* Fri May 20 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Log.git;a=log;h=auto/th/php-pear-Log-1.13.1-1

* Fri May 20 2016 Elan Ruusamäe <glen@delfi.ee> 34220bb
- up to 1.13.1; uses php5-style constructors now

* Wed Sep 30 2015 Elan Ruusamäe <glen@delfi.ee> 5e22578
- up to 1.12.9

* Sun Aug 10 2014 Elan Ruusamäe <glen@delfi.ee> 167fcd9
- up to 1.12.8

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 1b7a372
- package examples, docs

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> 3f95f88
- update phpe deps unversioned; unified

* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 36fdcfb
- use php(core) for php engine version deps
- release 1 (by relup.sh)

* Wed Nov 02 2011 Elan Ruusamäe <glen@pld-linux.org> 3a478fc
- updated to: 1.12.7

* Sun Jul 31 2011 Elan Ruusamäe <glen@pld-linux.org> 6b66b99
- updated to: 1.12.6

* Sun Jan 23 2011 Elan Ruusamäe <glen@pld-linux.org> 307b9ce
- updated to: 1.12.5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> aa6a95f
- dropped -tests

* Sat Oct 09 2010 Elan Ruusamäe <glen@pld-linux.org> f8868f1
- updated to: 1.12.3

* Tue Aug 31 2010 Elan Ruusamäe <glen@pld-linux.org> fa62b39
- updated to: 1.12.2

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> aa8e750
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 2d9d937
- updated to: 1.12.1

* Mon Jan 04 2010 Adam Gołębiowski <adamg@pld-linux.org> af3c3b0
- updated to 1.11.6

* Sun May 03 2009 Adam Gołębiowski <adamg@pld-linux.org> dadcd93
- updated to 1.11.4

* Fri Dec 26 2008 Adam Gołębiowski <adamg@pld-linux.org> 93e45c7
- updated to 1.11.3

* Sun Sep 07 2008 Adam Gołębiowski <adamg@pld-linux.org> e9b0fdc
- updated to 1.11.2

* Wed Aug 06 2008 Adam Gołębiowski <adamg@pld-linux.org> fdfa210
- updated to 1.11.1

* Sun Jun 15 2008 Adam Gołębiowski <adamg@pld-linux.org> 7de5457
- updated to 1.11.0 (License change)

